----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 10.01.2019 11:30:54
-- Design Name: 
-- Module Name: MEM_MUESTRAS - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity MEM_MUESTRAS is
--  Port ( );
PORT(
      a : IN integer;
     spo : OUT STD_LOGIC_VECTOR(15 DOWNTO 0)
);

end MEM_MUESTRAS;

architecture Behavioral of MEM_MUESTRAS is

TYPE ROM IS ARRAY (0 TO (160*5)-1) OF STD_LOGIC_VECTOR(15 DOWNTO 0);
SIGNAL MEM : ROM := (
--SEAL SENOIDAL
X"07FF",
X"084F",
X"08A0",
X"08F0",
X"093F",
X"098E",
X"09DD",
X"0A2B",
X"0A78",
X"0AC4",
X"0B0E",
X"0B58",
X"0BA0",
X"0BE7",
X"0C2D",
X"0C70",
X"0CB2",
X"0CF2",
X"0D30",
X"0D6D",
X"0DA6",
X"0DDE",
X"0E14",
X"0E47",
X"0E77",
X"0EA5",
X"0ED0",
X"0EF9",
X"0F1F",
X"0F42",
X"0F62",
X"0F7F",
X"0F9A",
X"0FB1",
X"0FC5",
X"0FD7",
X"0FE5",
X"0FF0",
X"0FF8",
X"0FFC",
X"0FFE",
X"0FFC",
X"0FF8",
X"0FF0",
X"0FE5",
X"0FD7",
X"0FC5",
X"0FB1",
X"0F9A",
X"0F7F",
X"0F62",
X"0F42",
X"0F1F",
X"0EF9",
X"0ED0",
X"0EA5",
X"0E77",
X"0E47",
X"0E14",
X"0DDE",
X"0DA6",
X"0D6D",
X"0D30",
X"0CF2",
X"0CB2",
X"0C70",
X"0C2D",
X"0BE7",
X"0BA0",
X"0B58",
X"0B0E",
X"0AC4",
X"0A78",
X"0A2B",
X"09DD",
X"098E",
X"093F",
X"08F0",
X"08A0",
X"084F",
X"07FF",
X"07AF",
X"075E",
X"070E",
X"06BF",
X"0670",
X"0621",
X"05D3",
X"0586",
X"053A",
X"04F0",
X"04A6",
X"045E",
X"0417",
X"03D1",
X"038E",
X"034C",
X"030C",
X"02CE",
X"0291",
X"0258",
X"0220",
X"01EA",
X"01B7",
X"0187",
X"0159",
X"012E",
X"0105",
X"00DF",
X"00BC",
X"009C",
X"007F",
X"0064",
X"004D",
X"0039",
X"0027",
X"0019",
X"000E",
X"0006",
X"0002",
X"0000",
X"0002",
X"0006",
X"000E",
X"0019",
X"0027",
X"0039",
X"004D",
X"0064",
X"007F",
X"009C",
X"00BC",
X"00DF",
X"0105",
X"012E",
X"0159",
X"0187",
X"01B7",
X"01EA",
X"0220",
X"0258",
X"0291",
X"02CE",
X"030C",
X"034C",
X"038E",
X"0417",
X"045E",
X"04A6",
X"04F0",
X"053A",
X"0586",
X"05D3",
X"0621",
X"0670",
X"06BF",
X"070E",
X"075E",
X"07AF",
X"07AF",
--SEAL TRIANGULAR
X"0000",
X"0033",
X"0066",
X"0099",
X"00CC",
X"00FF",
X"0132",
X"0165",
X"0198",
X"01CB",
X"01FE",
X"0231",
X"0264",
X"0297",
X"02CA",
X"02FD",
X"0330",
X"0363",
X"0396",
X"03C9",
X"03FC",
X"042F",
X"0462",
X"0495",
X"04C8",
X"04FB",
X"052E",
X"0561",
X"0594",
X"05C7",
X"05FA",
X"062D",
X"0660",
X"0693",
X"06C6",
X"06F9",
X"072C",
X"075F",
X"0792",
X"07C5",
X"07F8",
X"082B",
X"085E",
X"0891",
X"08C4",
X"08F7",
X"092A",
X"095D",
X"0990",
X"09C3",
X"09F6",
X"0A29",
X"0A5C",
X"0A8F",
X"0AC2",
X"0AF5",
X"0B28",
X"0B5B",
X"0B8E",
X"0BC1",
X"0BF4",
X"0C27",
X"0C5A",
X"0C8D",
X"0CC0",
X"0CF3",
X"0D26",
X"0D59",
X"0D8C",
X"0DBF",
X"0DF2",
X"0E25",
X"0E58",
X"0E8B",
X"0EBE",
X"0EF1",
X"0F24",
X"0F57",
X"0F8A",
X"0FBD",
X"0FF0",
X"0FBD",
X"0F8A",
X"0F57",
X"0F24",
X"0EF1",
X"0EBE",
X"0E8B",
X"0E58",
X"0E25",
X"0DF2",
X"0DBF",
X"0D8C",
X"0D59",
X"0D26",
X"0CF3",
X"0CC0",
X"0C8D",
X"0C5A",
X"0C27",
X"0BF4",
X"0BC1",
X"0B8E",
X"0B5B",
X"0B28",
X"0AF5",
X"0AC2",
X"0A8F",
X"0A5C",
X"0A29",
X"09F6",
X"09C3",
X"0990",
X"095D",
X"092A",
X"08F7",
X"08C4",
X"0891",
X"085E",
X"082B",
X"07F8",
X"07C5",
X"0792",
X"075F",
X"072C",
X"06F9",
X"06C6",
X"0693",
X"0660",
X"062D",
X"05FA",
X"05C7",
X"0594",
X"0561",
X"052E",
X"04FB",
X"04C8",
X"0495",
X"0462",
X"042F",
X"03FC",
X"03C9",
X"0396",
X"0363",
X"0330",
X"02FD",
X"02CA",
X"0297",
X"0264",
X"0231",
X"01FE",
X"01CB",
X"0198",
X"0165",
X"0132",
X"00FF",
X"00CC",
X"0099",
X"0066",
X"0033",
--SEAL CUADRADA
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0000",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
X"0FFF",
--SEAL DIENTE DE SIERRA
X"0000",
X"0019",
X"0032",
X"004B",
X"0064",
X"007D",
X"0096",
X"00AF",
X"00C8",
X"00E1",
X"00FA",
X"0113",
X"012C",
X"0145",
X"015E",
X"0177",
X"0190",
X"01A9",
X"01C2",
X"01DB",
X"01F4",
X"020D",
X"0226",
X"023F",
X"0258",
X"0271",
X"028A",
X"02A3",
X"02BC",
X"02D5",
X"02EE",
X"0307",
X"0320",
X"0339",
X"0352",
X"036B",
X"0384",
X"039D",
X"03B6",
X"03CF",
X"03E8",
X"0401",
X"041A",
X"0433",
X"044C",
X"0465",
X"047E",
X"0497",
X"04B0",
X"04C9",
X"04E2",
X"04FB",
X"0514",
X"052D",
X"0546",
X"055F",
X"0578",
X"0591",
X"05AA",
X"05C3",
X"05DC",
X"05F5",
X"060E",
X"0627",
X"0640",
X"0659",
X"0672",
X"068B",
X"06A4",
X"06BD",
X"06D6",
X"06EF",
X"0708",
X"0721",
X"073A",
X"0753",
X"076C",
X"0785",
X"079E",
X"07B7",
X"07D0",
X"07E9",
X"0802",
X"081B",
X"0834",
X"084D",
X"0866",
X"087F",
X"0898",
X"08B1",
X"08CA",
X"08E3",
X"08FC",
X"0915",
X"092E",
X"0947",
X"0960",
X"0979",
X"0992",
X"09AB",
X"09C4",
X"09DD",
X"09F6",
X"0A0F",
X"0A28",
X"0A41",
X"0A5A",
X"0A73",
X"0A8C",
X"0AA5",
X"0ABE",
X"0AD7",
X"0AF0",
X"0B09",
X"0B22",
X"0B3B",
X"0B54",
X"0B6D",
X"0B86",
X"0B9F",
X"0BB8",
X"0BD1",
X"0BEA",
X"0C03",
X"0C1C",
X"0C35",
X"0C4E",
X"0C67",
X"0C80",
X"0C99",
X"0CB2",
X"0CCB",
X"0CE4",
X"0CFD",
X"0D16",
X"0D2F",
X"0D48",
X"0D61",
X"0D7A",
X"0D93",
X"0DAC",
X"0DC5",
X"0DDE",
X"0DF7",
X"0E10",
X"0E29",
X"0E42",
X"0E5B",
X"0E74",
X"0E8D",
X"0EA6",
X"0EBF",
X"0ED8",
X"0EF1",
X"0F0A",
X"0F23",
X"0F3C",
X"0F55",
X"0F6E",
X"0F87",
--SEAL RANDOM (SUMA DE SENO Y COSENO A DIFERENTES FRECUENCIAS)
X"0C00",
X"0C4F",
X"0C9D",
X"0CE8",
X"0D2F",
X"0D74",
X"0DB5",
X"0DF1",
X"0E28",
X"0E5A",
X"0E86",
X"0EAD",
X"0ECC",
X"0EE6",
X"0EF9",
X"0F05",
X"0F0A",
X"0F08",
X"0EFE",
X"0EED",
X"0ED4",
X"0EB4",
X"0E8C",
X"0E5E",
X"0E28",
X"0DEB",
X"0DA7",
X"0D5D",
X"0D0D",
X"0CB8",
X"0C5C",
X"0BFB",
X"0B96",
X"0B2D",
X"0AC0",
X"0A50",
X"09DC",
X"0967",
X"08F0",
X"0878",
X"0800",
X"0788",
X"0710",
X"0699",
X"0624",
X"05B0",
X"0540",
X"04D3",
X"046A",
X"0405",
X"03A4",
X"0348",
X"02F3",
X"02A3",
X"0259",
X"0215",
X"01D8",
X"01A2",
X"0174",
X"014C",
X"012C",
X"0113",
X"0102",
X"00F8",
X"00F6",
X"00FB",
X"0107",
X"011A",
X"0134",
X"0153",
X"017A",
X"01A6",
X"01D8",
X"020F",
X"024B",
X"028C",
X"02D1",
X"0318",
X"0363",
X"03B1",
X"0400",
X"0451",
X"04A3",
X"04F6",
X"0549",
X"059C",
X"05ED",
X"063D",
X"068C",
X"06D8",
X"0722",
X"0769",
X"07AC",
X"07EC",
X"0827",
X"085F",
X"0892",
X"08C0",
X"08E8",
X"090D",
X"092C",
X"0946",
X"095A",
X"096A",
X"0974",
X"0979",
X"0979",
X"0975",
X"096B",
X"095E",
X"094C",
X"0937",
X"091E",
X"0901",
X"08E2",
X"08C0",
X"089C",
X"0877",
X"0850",
X"0828",
X"0800",
X"07D8",
X"07B0",
X"0789",
X"0764",
X"0740",
X"071E",
X"06FF",
X"06E2",
X"06C9",
X"06B4",
X"06A2",
X"0695",
X"068B",
X"0687",
X"0687",
X"068C",
X"0696",
X"06A6",
X"06BA",
X"06D4",
X"06F3",
X"0718",
X"0740",
X"076E",
X"07A1",
X"07D9",
X"0814",
X"0854",
X"0897",
X"08DE",
X"0928",
X"0974",
X"09C3",
X"0A13",
X"0A64",
X"0AB7",
X"0B0A",
X"0B5D",
X"0BAF"
);

begin

SPO <= MEM(A);

end Behavioral;
